<xml></xml>

Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

Berkeley DB .NET API Documentation
SecondaryCursor..::.Refresh Method
SecondaryCursor Class See Also Send Feedback

Store the secondary key and primary key/data pair to which the cursor refers in Current.

Namespace: BerkeleyDB
Assembly: libdb_dotnet181 (in libdb_dotnet181.dll) Version: 18.1.32.0

# Syntax

C#

    public bool Refresh()

Visual Basic (Declaration)

    Public Function Refresh As Boolean

Visual C++

    public:
    bool Refresh()

#### Return Value

True if the cursor was positioned successfully, false otherwise.

# Remarks

If positioning the cursor fails, Current will contain an empty KeyValuePair<(Of <(TKey, TValue>)>).

# See Also

SecondaryCursor Class
Refresh Overload
BerkeleyDB Namespace